<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "rawmat.php";

$keyfld = "code";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND c.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`code` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`cost` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`sellrate` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`code` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`cost` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`sellrate` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY a.`name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `b.name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `c.name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`code`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`cost`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`sellrate`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
//browse($cond);
//$query = "SELECT a.`name`, a.`code`, a.`cost`, a.`mrp`, a.`rawmatgrp`, b.`name` as rawmatgrpname, c.`name` as subgrpname FROM `rawmat` a JOIN `rawmatgrp` b 
//          ON a.`rawmatgrp` = b.`code` JOIN `itsubgrp` c ON a.`itsubgrp` = c.`code` $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$query = "SELECT a.`name`, a.`code`, a.`cost`, a.`mrp`, a.`rawmatgrp`, b.`name` as rawmatgrpname  FROM  `rawmat` a LEFT JOIN `rawmatgrp` b 
          ON a.`rawmatgrp` = b.`code` WHERE a.code != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'code' => $r["code"],
        'name' => $r["name"],
        'rawmatgrpname' => $r["rawmatgrpname"],
//        'subgrpname' => $r[subgrpname],
        'cost' => $r["cost"],
        'sellrate' => $r["mrp"],
        'action' => "$file?mode=edit&code=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
